Rated 5 out of 5 stars

Hi,

plz make an update for FF 4.b10 and later.

Regards
Chris

This review is for a previous version of the add-on (1.1.7). 

hey Chris, the next version, 1.1.8, which is under review currently by Mozilla, is fully compatible with Firefox 4 beta. You can download it from its project page in case you're in a hurry :)